Bug 1330212 - cjdns fails to create tun device at boot
Summary: cjdns fails to create tun device at boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cjdns
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 15:59 UTC by Stuart D Gathman
Modified: 2016-06-17 21:48 UTC (History)
1 user (show)

Fixed In Version: cjdns-17.3-13.fc24 cjdns-17.3-13.fc22 cjdns-17.3-13.fc23 cjdns-17.3-13.el6 cjdns-17.3-13.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-24 18:07:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Stuart D Gathman 2016-04-25 15:59:30 UTC
Description of problem:
cjdns does not create tun device at boot time

Version-Release number of selected component (if applicable):
cjdns-17.3-12.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. reboot
2. ifconfig
3.

Actual results:
no tun device for cjdns

Expected results:
tun device for cjdns listed in ifconfig

Additional info:
systemctl restart cjdns creates the tun device as expected.  How does this happen?  Has something else loaded the tun driver by that time?

cjdns-17.3-11 works at boot.  The problem is that the systemd service has to load the tun driver, which it does unconditionally in release 11.  Release 12 loads the tun driver only if /dev/tun does not already exist.  This allows cjdns to run in Fedora under openvz - but apparently /dev/tun exists even without the driver.  Perhaps the solution is to run modprobe unconditionally, but ignore any errors?

Comment 1 Stuart D Gathman 2016-04-25 19:51:25 UTC
Normally Fedora creates /dev/net/tun, and the tun driver is auto-loaded when accessing /dev/net/tun.  But the auto-load only works if the accessing process has module-load privilege in selinux.  Cjdns does not have module-load privilege by design, so auto-load does not work.  

Unconditionally running modprobe works, except under openVZ.  

I can test whether running under openVZ by checking whether the output of wc -c /proc/modules starts with 0.  But then we still need to check that /dev/net/tun exists and fail otherwise.

Comment 2 Stuart D Gathman 2016-05-04 19:49:56 UTC
A fix for this is being submitted.

Comment 3 Fedora Update System 2016-05-04 19:51:05 UTC
cjdns-17.3-13.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a62ee052b

Comment 4 Fedora Update System 2016-05-04 19:54:16 UTC
cjdns-17.3-13.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b679f9f49

Comment 5 Fedora Update System 2016-05-05 09:54:23 UTC
cjdns-17.3-13.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a62ee052b

Comment 6 Fedora Update System 2016-05-05 15:52:24 UTC
cjdns-17.3-13.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b679f9f49

Comment 7 Fedora Update System 2016-05-05 21:34:08 UTC
cjdns-17.3-13.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f182c4ac33

Comment 8 Fedora Update System 2016-05-06 20:51:41 UTC
cjdns-17.3-13.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f182c4ac33

Comment 9 Fedora Update System 2016-05-09 23:59:14 UTC
cjdns-17.3-13.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-90a986a6ed

Comment 10 Fedora Update System 2016-05-10 00:35:47 UTC
cjdns-17.3-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c14b87bba2

Comment 11 Fedora Update System 2016-05-10 18:49:48 UTC
cjdns-17.3-13.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-90a986a6ed

Comment 12 Fedora Update System 2016-05-10 18:51:33 UTC
cjdns-17.3-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c14b87bba2

Comment 13 Fedora Update System 2016-05-24 18:07:34 UTC
cjdns-17.3-13.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-25 00:54:15 UTC
cjdns-17.3-13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-26 10:56:48 UTC
cjdns-17.3-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-06-17 18:17:45 UTC
cjdns-17.3-13.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-06-17 21:48:28 UTC
cjdns-17.3-13.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.